/*
 * Class NATIVE_ARRAY [REAL_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_621 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_621 [] = {0xFF01,237,620,179,0xFFFF};
static const EIF_TYPE_INDEX egt_2_621 [] = {0xFF01,620,179,0xFFFF};
static const EIF_TYPE_INDEX egt_3_621 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_621 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_621 [] = {0xFF01,620,179,0xFFFF};
static const EIF_TYPE_INDEX egt_6_621 [] = {0xFF01,620,179,0xFFFF};
static const EIF_TYPE_INDEX egt_7_621 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_621 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_621 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_621 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_621 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_621 [] = {620,179,0xFFFF};
static const EIF_TYPE_INDEX egt_13_621 [] = {0xFF01,620,179,0xFFFF};
static const EIF_TYPE_INDEX egt_14_621 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_621[] = {
	{EIF_GENERIC(NULL), 54, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_621), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_621), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_621), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_621), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_621), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_621), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_621), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_621), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_621), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_621), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_621), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_621), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_621), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_621), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_621), -1, 0xFFFFFFFF},
};
void Init621(void)
{
	IDSC(desc_621, 0, 620);
	IDSC(desc_621 + 1, 1, 620);
	IDSC(desc_621 + 32, 291, 620);
}


#ifdef __cplusplus
}
#endif
